#!/bin/bash

# Check input arguments
if [ $# -ne 1 ]; then
	echo "Usage: es5.sh <dir>"
	exit 1
fi

# Get path string and initialize temp variables
str=$(echo -n $PATH)
out=""
first=0

# Set internal field separator to ":" saving the old one
OIFS=$IFS
IFS=':'

# Parse paths separated by ":" in $PATH
for path in $str; do

	# Check if path contains $1 as a subdirectory, if it doesn't add path to output
	echo $path | grep -e "/$1/" > /dev/null
	if [ $? -eq 1 ]; then
		if [ $first -eq 0 ]; then
			out=$path
			first=1
		else
			out=$out":"$path
		fi
	fi
done

# Restore saved internal field separator and print output
IFS=$OIFS
echo $out
