#!/bin/bash

# Check input arguments
if [ $# -ne 1 ]; then
	echo "Usage: es5.sh <dir>"
	exit 1
fi

# Initialize temp variables
out=""
first=0

# Split paths separated by ":" into lines and parse them
for path in $(echo -n $PATH | tr ":" "\n"); do

	# Check if path contains $1 as a subdirectory, if it doesn't add path to output
	echo $path | grep -e "/$1/" > /dev/null
	if [ $? -eq 1 ]; then
		if [ $first -eq 0 ]; then
			out=$path
			first=1
		else
			out=$out":"$path
		fi
	fi
done

# Print output
echo $out
